import os

from django.conf import global_settings

MIDDLEWARE_CLASSES = global_settings.MIDDLEWARE_CLASSES

SECRET_KEY = 'whatever'
DATABASES = {
    'default': {
        'ENGINE': 'django.db.backends.sqlite3',
        'NAME': 'authentic2.sqlite3',
    }
}

INSTALLED_APPS = (
    'django.contrib.auth',
    'django.contrib.contenttypes',
    'django_rbac',
)


ALLOWED_HOSTS = []

if 'AUTHENTIC2_SETTINGS_FILE' in os.environ:
    with open(os.environ['AUTHENTIC2_SETTINGS_FILE']) as fd:
        exec(fd.read())
